<template>
  <div class="wrap">
    <h1>{{ msg }}</h1>
    <p>{{obj.name}}</p>
  </div>
</template>

<script>
export default {
  name: 'Child2',
  inject:{
      obj:{
          default:()=>{
              return{
              }
          }
      }
  },
  data () {
    return {
      msg: 'Child2'
    }
  },
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
